apiVersion: v1
kind: Template
labels:
  app: ldap
  template: ldap-buildconfig-with-secret
metadata:
  annotations:
    description: OpenLDAP database - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: OpenLDAP
    tags: openldap,ldap
  name: ldap-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-${LDAP_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds OpenLDAP images
    labels:
      name: openldap-${LDAP_REPOSITORY_REF}
    name: openldap-${LDAP_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 300m
        memory: 768Mi
    source:
      contextDir: /
      git:
        uri: ${LDAP_REPOSITORY_URL}
        ref: "${LDAP_REPOSITORY_REF}"
      sourceSecret:
        name: git-${LDAP_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        dockerFilePath: ./Dockerfile.${LDAP_FLAVOR}-${LDAP_BASE}
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: openldap:${LDAP_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: LDAP_BASE
  value: deb10
- name: LDAP_FLAVOR
  value: ltb
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: LDAP_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: LDAP_REPOSITORY_URL
  description: The URL of the repository with your openldap Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-openldap.git
